---
title: Navigator.connection
slug: Web/API/Navigator/connection
tags:
  - API
  - Connection
  - Experimental
  - Navigator
  - Network Information API
  - Property
  - Reference
---
<div>{{APIRef("Network Information API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <code><strong>Navigator.connection</strong></code> read-only property returns a {{domxref("NetworkInformation")}} object containing information about the system's connection, such as the current bandwidth of the user's device or whether the connection is metered.</span> This could be used to select high definition content or low definition content based on the user's connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>networkInformation</var> = navigator.connection</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("NetworkInformation")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Network Information', '#connection-attribute', 'Navigator.connection')}}</td>
   <td>{{Spec2('Network Information')}}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.connection")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/NavigatorOnLine/Online_and_offline_events">Online and offline events</a></li>
</ul>
